org.keycloak.json

## Class StringOrArraySerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<Object>
  - - org.keycloak.json.StringOrArraySerializer

- All Implemented Interfaces:
    com.fasterxml.jackson.databind.jsonFormatVisitors.JsonFormatVisitable

      public class StringOrArraySerializer
      extends com.fasterxml.jackson.databind.JsonSerializer<Object>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `com.fasterxml.jackson.databind.JsonSerializer.None`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringOrArraySerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(Object o, com.fasterxml.jackson.core.JsonGenerator jsonGenerator, com.fasterxml.jackson.databind.SerializerProvider serializerProvider)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `acceptJsonFormatVisitor, getDelegatee, handledType, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringOrArraySerializer

          public StringOrArraySerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(Object o,
                                com.fasterxml.jackson.core.JsonGenerator jsonGenerator,
                                com.fasterxml.jackson.databind.SerializerProvider serializerProvider)
                         throws IOException

      Specified by:
        `serialize` in class `com.fasterxml.jackson.databind.JsonSerializer<Object>`
      Throws:
        `IOException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.